<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <title>View Stduent Details |  Admin Dashboard</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta content="A fully featured admin theme which can be used to build CRM, CMS, etc." name="description">
        <meta content="Coderthemes" name="author">
        <!-- App favicon -->
        <link rel="shortcut icon" href="../img/GCIT_logo.png">

        <!-- App css -->
        <link href="../css/icons.min.css" rel="stylesheet" type="text/css">
        <link href="../css/app.min.css" rel="stylesheet" type="text/css" id="light-style">
        <link href="../css/app-dark.min.css" rel="stylesheet" type="text/css" id="dark-style">

    </head>
    <script>
      setTimeout(() => {
          const box = document.getElementById('box');
          box.style.display = 'none'
          
      }, 3000);
    </script>

    <body class="loading" data-layout-config='{"leftSideBarTheme":"dark","layoutBoxed":false, "leftSidebarCondensed":false, "leftSidebarScrollable":false,"darkMode":false, "showRightSidebarOnStart": true}'>
        <!-- Begin page -->
        <div class="wrapper">
            <!-- ========== Left Sidebar Start ========== -->
            <div class="leftside-menu">

                <!-- LOGO -->
                <a href="./adminDashboard" class="logo text-center logo-light">
                    <span class="logo-lg">
                        <img src="../img/GCIT_logo.png" alt="" height="40">
                    </span>
                    <span class="logo-sm">
                        <img src="../img/GCIT_logo.png" alt="" height="40">
                    </span>
                </a>

                <!-- LOGO -->
                <a href="adminDashboard" class="logo text-center logo-dark">
                    <span class="logo-lg">
                        <img src="../img/GCIT_logo.png" alt="" height="40">
                    </span>
                    <span class="logo-sm">
                        <img src="../img/GCIT_logo.png" alt="" height="40">
                    </span>
                </a>

                <div class="h-100" id="leftside-menu-container" data-simplebar="">

                    <!--- Sidemenu -->
                    <ul class="side-nav">

                        <li class="side-nav-title side-nav-item">Navigation</li>

                        <li class="side-nav-item">
                            <a data-bs-toggle="collapse" href="#sidebarDashboards" aria-expanded="false" aria-controls="sidebarDashboards" class="side-nav-link">
                                <i class="uil-users-alt"></i>
                                <span class="badge bg-success float-end">2</span>
                                <span> User Details </span>
                            </a>
                            <div class="collapse" id="sidebarDashboards">
                              <ul class="side-nav-second-level">
                                <li>
                                  <a href="./adminDashboard">Student Details</a>
                                </li>

                                <li>
                                  <a href="./staffManage">Staff Details</a>
                                </li>
                              </ul>
                            </div>
                        </li>

                        <li class="side-nav-item">
                            <a href="./adminDashboard" class="side-nav-link">
                                <i class="uil-table"></i>
                                <span> CCA Management </span>
                            </a>
                        </li>

                        <li class="side-nav-item">
                            <a href="./adminabout" class="side-nav-link">
                                <i class="uil-exclamation-circle"></i>
                                <span> About </span>
                            </a>
                        </li>
                    </ul>

                    <!-- End Sidebar -->

                    <div class="clearfix"></div>

                </div>
                <!-- Sidebar -left -->

            </div>
            <!-- Left Sidebar End -->

            <!-- ============================================================== -->
            <!-- Start Page Content here -->
            <!-- ============================================================== -->

            <div class="content-page">
                <div class="content">
                    <!-- Topbar Start -->
                    <div class="navbar-custom">
                        <ul class="list-unstyled topbar-menu float-end mb-0">                          

                            <li class="dropdown notification-list">
                                <a class="nav-link dropdown-toggle nav-user arrow-none me-0" data-bs-toggle="dropdown" href="#" role="button" aria-haspopup="false" aria-expanded="false">
                                    <span class="account-user-avatar">
                                        <img src="userImages/<%= admin.photo %>" alt="user-image" class="rounded-circle">
                                    </span>
                                    <span>
                                        <span class="account-user-name"><%= admin.name %></span>
                                        <span class="account-position"><%= admin.role%></span>
                                    </span>
                                </a>
                                <div class="dropdown-menu dropdown-menu-end dropdown-menu-animated topbar-dropdown-menu profile-dropdown">
                                    <!-- item-->
                                    <div class=" dropdown-header noti-title">
                                        <h6 class="text-overflow m-0">Welcome !</h6>
                                    </div>

                                    <!-- item-->
                                    <a href="./setting" class="dropdown-item notify-item">
                                        <i class="mdi mdi-account-edit me-1"></i>
                                        <span>Settings</span>
                                    </a>

                                    <!-- item-->
                                    <a href="logout" class="dropdown-item notify-item">
                                        <i class="mdi mdi-logout me-1"></i>
                                        <span>Logout</span>
                                    </a>
                                </div>
                            </li>

                        </ul>
                        <button class="button-menu-mobile open-left">
                            <i class="mdi mdi-menu"></i>
                        </button>
                    </div>
                    <!-- end Topbar -->

                    <div class="row">
                      <div class="col-12">
                          <h4 class="mb-4">Student Details</h4>
                      </div> <!-- end col -->

                      <div class="row">
                        <div class="col-12">
                          <div class="card">
                              <div class="card-body">
                                <div class="row justify-content-center">
                                  <div class="col-lg-8">
                                    <h4 class="header-title">Edit Student Details</h4>
                                    <hr>
                                    <form action="#" method="post" id="updateForm">
                                      <%
                                        if(typeof message !== 'undefined'){
                                        %>
                                        <h4 id="box" style="color:#359735;"><%= message %></h4>
                                        <%
                                    
                                        }
                                      %>
                                      <div class="row"> <!--start row -->
                                        <div class="col-md-6">
                                          <div class="mb-3">
                                              <label for="simpleinput" class="form-label">Name</label>
                                              <input type="text" id="simpleinput" class="form-control" name="name" placeholder="Enter your name" value="<%= users.name %>"required>
                                          </div>
                                        </div>

                                        <div class="col-md-6">
                                          <div class="mb-3">
                                              <label for="simpleinput" class="form-label">Enrollment No</label>
                                              <input type="text" id="simpleinput" class="form-control" name="sid"placeholder="Enter your enrollment no" value="<%= users.userid %>" required>
                                          </div>
                                        </div>

                                        <div class="col-md-6">
                                          <div class="mb-3">
                                              <label for="simpleinput" class="form-label">Enrollment Year</label>
                                              <input type="text" id="simpleinput" class="form-control" name="joinedYear" placeholder="Enter your enrollment year" value="<%= users.joinedYear %>" required>
                                          </div>
                                        </div>

                                        <div class="col-md-6">
                                          <div class="mb-3">
                                              <label for="example-email" class="form-label">Email</label>
                                              <input type="email" id="example-email" name="email"placeholder="Enter your email" value="<%= users.email %>" required class="form-control" >
                                          </div>
                                        </div>

                                      </div> <!-- end row -->

                                      <div class="row">
                                        <div class="col-12">
                                          <div class="mb-3">
                                              <label class="form-label">Course</label>
                                              <select  name="course" data-toggle="select2" title="Member Type">
                                                  <option disabled selected hidden><%= users.course %></option>
                                                  <option value="BSc(Information Technology)"> BSc(Information Technology)</option>
                                                  <option value="BSc(Computer Science)">BSc(Computer Science)</option>
                                                  <option value="BCS(AI Development & Data Science)">BCS(AI Development & Data Science)</option>
                                                  <option value="BCS(Blockchain Development)">BCS(Blockchain Development)</option>
                                                  <option value="BCS(Full Stack Development)">BCS(Full Stack Development)</option>
                                                  <option value="Bachelor of Interactive Design & Development">Bachelor of Interactive Design & Development</option>
                                              </select>
                                          </div>
                                      </div>
                                    </div>

                                    <div class="row">
                                      <div class="col-12">
                                        <div class="mb-3">
                                            <label class="form-label">Year</label>
                                            <select name="year" data-toggle="select2" title="Member Type">
                                                <option disabled selected hidden><%= users.year %></option>
                                                <option value="1">1st year</option>
                                                <option value="2">2nd year</option>
                                                <option value="3">3rd year</option>
                                                <option value="4">4th year</option>
                                            </select>
                                        </div>
                                    </div>
                                  </div>
                                  <input type="hidden" name="id" value="<%= users._id %>">


                                  <div class="d-grid">
                                      <button type="button" data-bs-toggle="modal" data-bs-target="#standard-modal">Update</button>
                                      <div id="standard-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="standard-modalLabel" aria-hidden="true">
                                        <div class="modal-dialog">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h4 class="modal-title" id="standard-modalLabel">Update Student details Confirmation</h4>
                                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-hidden="true"></button>
                                                </div>
                                                <div class="modal-body">
                                                    <p>Are you sure you want to update this details?</p>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-light" data-bs-dismiss="modal">Close</button>
                                                    <a href=""><button type="submit">Save changes</button></a>
                                                </div>
                                            </div><!-- /.modal-content -->
                                        </div><!-- /.modal-dialog -->
                                    </div><!-- /.modal -->
                                  </div>
                                </form>
                            </div>
                          </div>
                        </div> <!-- end col -->
                      </div>
                    </div>
                  </div> <!-- container -->

                </div> <!-- content -->

                <!-- Footer Start -->
                <footer class="footer">
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-md-6">
                                <script>document.write(new Date().getFullYear())</script> © GCIT
                            </div>
                            
                        </div>
                    </div>
                </footer>
                <!-- end Footer -->

            </div>

            <!-- ============================================================== -->
            <!-- End Page content -->
            <!-- ============================================================== -->


        </div>
        <!-- END wrapper -->        

        <!-- bundle -->
        <script src="../js/vendor.min.js"></script>
        <script src="../js/app.min.js"></script>

    </body>
</html>
